export class RtcEngineConfig {
    constructor() {
        this.mContext = null;
        this.mAppId = null;
        this.mEventHandler = null;
    }
}
export var ENCRYPTION_MODE;
(function (ENCRYPTION_MODE) {
    ENCRYPTION_MODE[ENCRYPTION_MODE["AES_128_XTS"] = 1] = "AES_128_XTS";
    ENCRYPTION_MODE[ENCRYPTION_MODE["AES_128_ECB"] = 2] = "AES_128_ECB";
    ENCRYPTION_MODE[ENCRYPTION_MODE["AES_256_XTS"] = 3] = "AES_256_XTS";
    ENCRYPTION_MODE[ENCRYPTION_MODE["SM4_128_ECB"] = 4] = "SM4_128_ECB";
    ENCRYPTION_MODE[ENCRYPTION_MODE["AES_128_GCM"] = 5] = "AES_128_GCM";
    ENCRYPTION_MODE[ENCRYPTION_MODE["AES_256_GCM"] = 6] = "AES_256_GCM";
    ENCRYPTION_MODE[ENCRYPTION_MODE["AES_128_GCM2"] = 7] = "AES_128_GCM2";
    ENCRYPTION_MODE[ENCRYPTION_MODE["AES_256_GCM2"] = 8] = "AES_256_GCM2";
    ENCRYPTION_MODE[ENCRYPTION_MODE["MODE_END"] = 9] = "MODE_END";
})(ENCRYPTION_MODE || (ENCRYPTION_MODE = {}));
;
export class EncryptionConfig {
    constructor() {
        this.encryptionMode = ENCRYPTION_MODE.AES_128_GCM2;
        this.encryptionKey = "";
        this.encryptionKdfSalt = new ArrayBuffer(32);
    }
    EncryptionConfig() {
    }
}
