export class CaptureConfig {
    constructor() {
        this.width = 960;
        this.height = 540;
        this.framerate = 15;
    }
    toString() {
        return " width:" + this.width + " height:" + this.height + " framerate: " + this.framerate;
    }
}
export class VideoCaptureCapability {
    constructor() {
        this.width = 0;
        this.height = 0;
        this.maxFramerate = 0;
        this.pixelFormat = 0;
    }
}
export class CameraInfo {
    constructor() {
        this.index = 0;
        this.cameraPosition = 0;
        this.cameraType = 0;
        this.connectionType = 0;
    }
}
