export var REMOTE_VIDEO_STATE;
(function (REMOTE_VIDEO_STATE) {
    REMOTE_VIDEO_STATE[REMOTE_VIDEO_STATE["REMOTE_VIDEO_STATE_STOPPED"] = 0] = "REMOTE_VIDEO_STATE_STOPPED";
    REMOTE_VIDEO_STATE[REMOTE_VIDEO_STATE["REMOTE_VIDEO_STATE_STARTING"] = 1] = "REMOTE_VIDEO_STATE_STARTING";
    REMOTE_VIDEO_STATE[REMOTE_VIDEO_STATE["REMOTE_VIDEO_STATE_DECODING"] = 2] = "REMOTE_VIDEO_STATE_DECODING";
    REMOTE_VIDEO_STATE[REMOTE_VIDEO_STATE["REMOTE_VIDEO_STATE_FROZEN"] = 3] = "REMOTE_VIDEO_STATE_FROZEN";
    REMOTE_VIDEO_STATE[REMOTE_VIDEO_STATE["REMOTE_VIDEO_STATE_FAILED"] = 4] = "REMOTE_VIDEO_STATE_FAILED";
})(REMOTE_VIDEO_STATE || (REMOTE_VIDEO_STATE = {}));
;
export var REMOTE_VIDEO_STATE_REASON;
(function (REMOTE_VIDEO_STATE_REASON) {
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_INTERNAL"] = 0] = "REMOTE_VIDEO_STATE_REASON_INTERNAL";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_NETWORK_CONGESTION"] = 1] = "REMOTE_VIDEO_STATE_REASON_NETWORK_CONGESTION";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_NETWORK_RECOVERY"] = 2] = "REMOTE_VIDEO_STATE_REASON_NETWORK_RECOVERY";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_LOCAL_MUTED"] = 3] = "REMOTE_VIDEO_STATE_REASON_LOCAL_MUTED";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_LOCAL_UNMUTED"] = 4] = "REMOTE_VIDEO_STATE_REASON_LOCAL_UNMUTED";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_REMOTE_MUTED"] = 5] = "REMOTE_VIDEO_STATE_REASON_REMOTE_MUTED";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_REMOTE_UNMUTED"] = 6] = "REMOTE_VIDEO_STATE_REASON_REMOTE_UNMUTED";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_REMOTE_OFFLINE"] = 7] = "REMOTE_VIDEO_STATE_REASON_REMOTE_OFFLINE";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_AUDIO_FALLBACK"] = 8] = "REMOTE_VIDEO_STATE_REASON_AUDIO_FALLBACK";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_AUDIO_FALLBACK_RECOVERY"] = 9] = "REMOTE_VIDEO_STATE_REASON_AUDIO_FALLBACK_RECOVERY";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_VIDEO_STREAM_TYPE_CHANGE_TO_LOW"] = 10] = "REMOTE_VIDEO_STATE_REASON_VIDEO_STREAM_TYPE_CHANGE_TO_LOW";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_VIDEO_STREAM_TYPE_CHANGE_TO_HIGH"] = 11] = "REMOTE_VIDEO_STATE_REASON_VIDEO_STREAM_TYPE_CHANGE_TO_HIGH";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_SDK_IN_BACKGROUND"] = 12] = "REMOTE_VIDEO_STATE_REASON_SDK_IN_BACKGROUND";
    REMOTE_VIDEO_STATE_REASON[REMOTE_VIDEO_STATE_REASON["REMOTE_VIDEO_STATE_REASON_CODEC_NOT_SUPPORT"] = 13] = "REMOTE_VIDEO_STATE_REASON_CODEC_NOT_SUPPORT";
})(REMOTE_VIDEO_STATE_REASON || (REMOTE_VIDEO_STATE_REASON = {}));
;
export var REMOTE_AUDIO_STATE;
(function (REMOTE_AUDIO_STATE) {
    REMOTE_AUDIO_STATE[REMOTE_AUDIO_STATE["REMOTE_AUDIO_STATE_STOPPED"] = 0] = "REMOTE_AUDIO_STATE_STOPPED";
    REMOTE_AUDIO_STATE[REMOTE_AUDIO_STATE["REMOTE_AUDIO_STATE_STARTING"] = 1] = "REMOTE_AUDIO_STATE_STARTING";
    REMOTE_AUDIO_STATE[REMOTE_AUDIO_STATE["REMOTE_AUDIO_STATE_DECODING"] = 2] = "REMOTE_AUDIO_STATE_DECODING";
    REMOTE_AUDIO_STATE[REMOTE_AUDIO_STATE["REMOTE_AUDIO_STATE_FROZEN"] = 3] = "REMOTE_AUDIO_STATE_FROZEN";
    REMOTE_AUDIO_STATE[REMOTE_AUDIO_STATE["REMOTE_AUDIO_STATE_FAILED"] = 4] = "REMOTE_AUDIO_STATE_FAILED";
})(REMOTE_AUDIO_STATE || (REMOTE_AUDIO_STATE = {}));
;
export var REMOTE_AUDIO_STATE_REASON;
(function (REMOTE_AUDIO_STATE_REASON) {
    REMOTE_AUDIO_STATE_REASON[REMOTE_AUDIO_STATE_REASON["REMOTE_AUDIO_REASON_INTERNAL"] = 0] = "REMOTE_AUDIO_REASON_INTERNAL";
    REMOTE_AUDIO_STATE_REASON[REMOTE_AUDIO_STATE_REASON["REMOTE_AUDIO_REASON_NETWORK_CONGESTION"] = 1] = "REMOTE_AUDIO_REASON_NETWORK_CONGESTION";
    REMOTE_AUDIO_STATE_REASON[REMOTE_AUDIO_STATE_REASON["REMOTE_AUDIO_REASON_NETWORK_RECOVERY"] = 2] = "REMOTE_AUDIO_REASON_NETWORK_RECOVERY";
    REMOTE_AUDIO_STATE_REASON[REMOTE_AUDIO_STATE_REASON["REMOTE_AUDIO_REASON_LOCAL_MUTED"] = 3] = "REMOTE_AUDIO_REASON_LOCAL_MUTED";
    REMOTE_AUDIO_STATE_REASON[REMOTE_AUDIO_STATE_REASON["REMOTE_AUDIO_REASON_LOCAL_UNMUTED"] = 4] = "REMOTE_AUDIO_REASON_LOCAL_UNMUTED";
    REMOTE_AUDIO_STATE_REASON[REMOTE_AUDIO_STATE_REASON["REMOTE_AUDIO_REASON_REMOTE_MUTED"] = 5] = "REMOTE_AUDIO_REASON_REMOTE_MUTED";
    REMOTE_AUDIO_STATE_REASON[REMOTE_AUDIO_STATE_REASON["REMOTE_AUDIO_REASON_REMOTE_UNMUTED"] = 6] = "REMOTE_AUDIO_REASON_REMOTE_UNMUTED";
    REMOTE_AUDIO_STATE_REASON[REMOTE_AUDIO_STATE_REASON["REMOTE_AUDIO_REASON_REMOTE_OFFLINE"] = 7] = "REMOTE_AUDIO_REASON_REMOTE_OFFLINE";
})(REMOTE_AUDIO_STATE_REASON || (REMOTE_AUDIO_STATE_REASON = {}));
;
;
export class PTxRxBytes {
    constructor() {
        this.tx_bytes = 0;
        this.rx_bytes = 0;
    }
    build() {
    }
}
export class PTxRxKBitrate {
    constructor() {
        this.tx_kbps = 0;
        this.rx_kbps = 0;
    }
    build() {
    }
}
export class PTxRxLossRate {
    constructor() {
        this.tx_loss_rate = 0;
        this.rx_loss_rate = 0;
    }
    build() {
    }
}
export class RtcStats {
    constructor() {
        this.duration = 0;
        this.rtcTxRxBytes = new PTxRxBytes;
        this.audioTxRxBytes = new PTxRxBytes;
        this.videoTxRxBytes = new PTxRxKBitrate;
        this.rtc_kbitrate = new PTxRxKBitrate;
        this.audio_kbitrate = new PTxRxKBitrate;
        this.video_kbitrate = new PTxRxKBitrate;
        this.lastmileDelay = new PTxRxLossRate;
        this.loss_rate = new PTxRxLossRate;
        this.cpuTotalUsage = 0;
        this.gatewayRtt = 0;
        this.cpuAppUsage = 0;
        this.memoryAppUsageRatio = 0;
        this.memoryTotalUsageRatio = 0;
        this.memoryAppUsageInKbytes = 0;
        this.userCount = 0;
        this.connectTimeMs = 0;
    }
    RtcStats() {
    }
}
